Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.apps.svgbrowser
Class XMLPreferenceManager

    java.lang.Object
      org.apache.batik.util.PreferenceManager
          org.apache.batik.apps.svgbrowser.XMLPreferenceManager

public class XMLPreferenceManager
extends PreferenceManager

An extension of `PreferenceManager` which store the preference in XML.

Nested Class Summary
`protected class` | `XMLPreferenceManager.XMLProperties` To store the preferences.

Field Summary
`static java.lang.String` | `PREFERENCE_ENCODING` The XML encoding used to store properties
`protected java.lang.String` | `xmlParserClassName` The XML parser

Fields inherited from class org.apache.batik.util.PreferenceManager
`defaults, FILE_SEP, fullName, internal, prefFileName, USER_DIR, USER_HOME`

Constructor Summary
`XMLPreferenceManager(java.lang.String prefFileName)` Creates a preference manager.
`XMLPreferenceManager(java.lang.String prefFileName, java.util.Map defaults)` Creates a preference manager.
`XMLPreferenceManager(java.lang.String prefFileName, java.util.Map defaults, java.lang.String parser)` Creates a preference manager with a default values initialization map.
`XMLPreferenceManager(java.lang.String prefFileName, java.lang.String parser)` Creates a preference manager.

Methods inherited from class org.apache.batik.util.PreferenceManager
`getBoolean, getColor, getDimension, getFile, getFiles, getFloat, getFont, getInteger, getPoint, getPreferenceDirectory, getRectangle, getString, getStrings, getSystemProperty, getURL, getURLs, load, save, setBoolean, setColor, setDimension, setFile, setFiles, setFloat, setFont, setInteger, setPoint, setPreferenceDirectory, setRectangle, setString, setStrings, setURL, setURLs`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### xmlParserClassName

    protected java.lang.String xmlParserClassName

  The XML parser

### PREFERENCE_ENCODING

    public static final java.lang.String PREFERENCE_ENCODING

  The XML encoding used to store properties

  See Also:
    Constant Field Values

Constructor Detail

### XMLPreferenceManager

    public XMLPreferenceManager(java.lang.String prefFileName)

  Creates a preference manager.

Parameters:
  `prefFileName` - the name of the preference file.

### XMLPreferenceManager

    public XMLPreferenceManager(java.lang.String prefFileName,
                                java.util.Map defaults)

  Creates a preference manager.

Parameters:
  `prefFileName` - the name of the preference file.
  `defaults` - where to get defaults value if the value is not specified in the file.

### XMLPreferenceManager

    public XMLPreferenceManager(java.lang.String prefFileName,
                                java.lang.String parser)

  Creates a preference manager.

Parameters:
  `prefFileName` - the name of the preference file.
  `parser` - The XML parser class name.

### XMLPreferenceManager

    public XMLPreferenceManager(java.lang.String prefFileName,
                                java.util.Map defaults,
                                java.lang.String parser)

  Creates a preference manager with a default values initialization map.

Parameters:
  `prefFileName` - the name of the preference file.
  `defaults` - where to get defaults value if the value is not specified in the file.
  `parser` - The XML parser class name.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.